/*
© 2023 Elemete® Studio
Toute reproduction interdite - Aucune copie ou modification autorisée - Tous droits réservés
No copy or modification allowed - All rights reserved
*/

::-webkit-scrollbar {
    width: 8px;
}
::-webkit-scrollbar-thumb {
    background: rgba(255,196,128,0.2);
    border-radius: 4px;
}
::-webkit-scrollbar-thumb:hover {
    background: rgba(255,196,128,0.8);
}
::-webkit-scrollbar-thumb:active {
    background: rgba(255,120,0,1.0);
}
::-webkit-scrollbar-track {
    box-shadow: inset 0 0 0px grey;
    border-radius: 2px;
}
::selection {
    color: black;
    background: var(--orange);
}

:root
{
  --orange  : rgba(255,120,0,1);
  --bgcolor : #0b0b0b;
  --fcolor  : #606060;
  --border-light-grey:#212121;
  --yellow-light: rgba(255,192,168,1);
  --lime:#80ff00;
  --force:#ff4500;
  --rose:#ff99ff;
}

body
{
  background:black;
  padding:0;
  margin:0;
  width:100vw;
  height:100vh;
  overflow-x:hidden;
}

body *
{
  font-family: Palatino, "Palatino Linotype", "Palatino LT STD", "Book Antiqua", Georgia, serif;
  font-style: normal;
  font-variant: normal;
  font-size: 14px;
  font-weight: 400;
  line-height: 20px;
  user-select:none;
}
h1
{
  display:none;
}

.scene
{
  width:100vw;
  height:100vh;
  overflow:hidden;
}


:root{
  --hauteur-menu: 3vh;
}

* {
  margin: 0px;
  padding: 0px;
}

nav {
  width: 300px;
  position: absolute;
  top: 0;
  left:5em;
}

nav > ul {
  display: flex;
  text-align: left;
  box-shadow: 0px 1px 2px 1px rgba(0,0,0,0.3);
  height: var(--hauteur-menu);
}

nav ul {
  list-style-type: none;
}

nav > ul > li {
  background-color: black;
  position: relative;
  height: 100%;
  flex: 1;
}

nav > ul > li:hover > a{
  color: #2169EC;
}

nav > ul > li > a {
  position: absolute;
  top: 50%;
  left: 0;
  transform: translate(0, -50%);
}

li a {
  text-decoration: none;
  color: white;
}

.menu-deroulant > a:after{
  content: '❯';
  margin-left: 7px;
  display: inline-block;
}

.menu-deroulant:hover > a:after{
  animation: rotationFleche 0.2s linear forwards;
}

@keyframes rotationFleche {
  0% {
    transform: rotate(0deg);
  }
  50% {
    transform: rotate(45deg);
  }
  100%{
    transform: rotate(90deg);
  }
}

.sous-menu {
  margin-top: var(--hauteur-menu);
  width: 100%;
  text-align: left;
  overflow: hidden;
  max-height: 0;
  border-radius: 2px;
  background-color: rgba(0,0,0,0.8);
}

.menu-deroulant:hover > .sous-menu {
  animation: apparitionSousMenu 1s forwards;
}

@keyframes apparitionSousMenu {
  0% {
    box-shadow: 0px 3px 3px 1px rgba(0,0,0,0);
    border-top: 3px solid #2169EC;
  }
  30% {
    box-shadow: 0px 3px 3px 1px rgba(0,0,0,0.3);
  }
  100% {
    max-height: 50em;
    border-top: 3px solid #2169EC;
    box-shadow: 0px 3px 3px 1px rgba(0,0,0,0.3);
  }
}

.sous-menu > li:hover {
  background-color: rgba(33, 105, 236, 0.3);
}

.sous-menu > li > a {
  align-items: center;
  display: flex;
  padding-left: 20px;
  width: 100%;
}

.sous-menu > li:hover > a {
  color: white;
}

.articlebdoc
{
  display:none;
}

.basicLightbox__placeholder>iframe
{
  border-radius:3px;
  border:4px solid #cbcbcb;
}


.xx-scene
{
  width:50vw;
  background:black;
  height:calc(100vh - var(--hauteur-menu));
}
.xx-scene>div
{
  position:absolute;
  top:0;
  left:0;
  height:100vh;
  width:50vw;
  background-color:black;
  background-repeat:no-repeat;
  background-size:contain;
  transition:2s;
  opacity:0;
}
.xx-scene>div:nth-child(1)
{
  opacity:1;
}
.xx-manfred
{
  position:absolute;
  top:0;
  left:0;
}
.xx-manfred>div
{
  background-size:contain;
  border:2px solid black;
}
.xx-elemete-studio>div
{
  border:2px solid black;
  background-size:contain;
}
.xx-elemete-studio
{
  position:absolute;
  top:var(--hauteur-menu);
  left:50vw;
  display:block;
}
.x-elemete-studio>div
{
  right:0;
}
@media (orientation: portrait)
{
body, html
{
  overflow-x:hidden;
}
.xx-scene>div
{
  width:100%;
  height:100%;
  background-size:cover;
}
.xx-elemete-studio
{
  position:relative;
  top:0;
  left:0;
  height:calc(50vh - 44px);
  width:100Vw;
  display:none;
}
.xx
{
  display:none;
}
.scene
{
  height:auto;
}
}
@media (orientation: landscape)
{
@media screen and (max-width:2000px)
{
:root
{
  --hauteur-menu: 40px;
}
}
}


.scene>.galery
{
  width:min(100vw, 950px);
}



.mcontent
{
  color:#b0b0b0;
  padding:1em;
  width:calc(100% - 100px - 2em);
}
.mcontent *
{
  font-size:1.44rem;
  line-height:1.6rem;
}